> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Field Options

`GET https://api.pagerduty.com/services/custom_fields/{field_id}/field_options`

List all options for a given field.

Scoped OAuth requires: `custom_fields.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `field_id` | string | yes | The ID of the field. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

List of field options.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `field_options` | array of object |  |  |
| `field_options[].created_at` | string (date-time) |  | The date/time the object was created at. |
| `field_options[].data` | object |  |  |
| `field_options[].data.data_type` | string |  | The kind of data represented by this option. Must match the Field's `data_type`. One of: `string`. |
| `field_options[].data.value` | string |  | Max length: 200. |
| `field_options[].id` | string |  | The ID of the resource. |
| `field_options[].type` | string |  | One of: `field_option`. |
| `field_options[].updated_at` | string (date-time) |  | The date/time the object was updated at. |

Example: Response Example

```json
{
  "field_options": [
    {
      "created_at": "2023-01-01T00:00:00Z",
      "data": {
        "data_type": "string",
        "value": "production"
      },
      "id": "OPT1",
      "type": "field_option",
      "updated_at": "2023-01-01T00:00:00Z"
    },
    {
      "created_at": "2023-01-01T00:00:00Z",
      "data": {
        "data_type": "string",
        "value": "staging"
      },
      "id": "OPT2",
      "type": "field_option",
      "updated_at": "2023-01-01T00:00:00Z"
    },
    {
      "created_at": "2023-01-01T00:00:00Z",
      "data": {
        "data_type": "string",
        "value": "development"
      },
      "id": "OPT3",
      "type": "field_option",
      "updated_at": "2023-01-01T00:00:00Z"
    }
  ]
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
